#include <stdio.h>
#include <string.h>
#include <sys/mman.h>
#include <fcntl.h>

#include "../eggmcs913.h"

int main(int argc, char **argv) {

    int fd;
    unsigned long* channels;
    caddr_t m;

    int i;

    fd = open("/dev/eggmcs913", O_RDWR);
/*
    m = mmap( NULL, 0x100, PROT_READ,
                              MAP_SHARED, fd, 0x4);
*/
    m = ioctl( fd, EGGMCS913_IOCTL_MMAP, 0x100);
    if (m==-1) {
        perror("mmap");
    }

    channels = (unsigned long*) m;

    fprintf(stdout, "%p\n", channels);
    if (channels) {
        for (i=0; i<5; i++) {
            fprintf(stdout, "%u ", channels[i]);
        }
        fprintf(stdout, "\nOK.\n");
    }

    getchar();

    munmap((caddr_t) channels, 0x1000);
    close(fd);

    getchar();

    return 0;

}

